Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Interface SimpleClauseType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  SimpleClauseTypeImpl

    public interface SimpleClauseType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Simple Clause Type'.

The following features are supported:

- `Boolean Clause`
- `Rational Clause`
- `String Clause`
- `Left Argument`

See Also:
  `QueryPackage.getSimpleClauseType()`

Method Summary
`BooleanClauseType` | `getBooleanClause()` Returns the value of the 'Boolean Clause' containment reference.
`java.lang.String` | `getLeftArgument()` Returns the value of the 'Left Argument' attribute.
`RationalClauseType` | `getRationalClause()` Returns the value of the 'Rational Clause' containment reference.
`StringClauseType` | `getStringClause()` Returns the value of the 'String Clause' containment reference.
`void` | `setBooleanClause(BooleanClauseType value)` Sets the value of the '`Boolean Clause`' containment reference.
`void` | `setLeftArgument(java.lang.String value)` Sets the value of the '`Left Argument`' attribute.
`void` | `setRationalClause(RationalClauseType value)` Sets the value of the '`Rational Clause`' containment reference.
`void` | `setStringClause(StringClauseType value)` Sets the value of the '`String Clause`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getBooleanClause

    BooleanClauseType getBooleanClause()

  Returns the value of the 'Boolean Clause' containment reference.

  If the meaning of the 'Boolean Clause' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Boolean Clause' containment reference.
  See Also:
    `setBooleanClause(BooleanClauseType)`, `QueryPackage.getSimpleClauseType_BooleanClause()`

### setBooleanClause

    void setBooleanClause(BooleanClauseType value)

  Sets the value of the '`Boolean Clause`' containment reference.

  Parameters:
    `value` - the new value of the 'Boolean Clause' containment reference.
  See Also:
    `getBooleanClause()`

### getRationalClause

    RationalClauseType getRationalClause()

  Returns the value of the 'Rational Clause' containment reference.

  If the meaning of the 'Rational Clause' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Rational Clause' containment reference.
  See Also:
    `setRationalClause(RationalClauseType)`, `QueryPackage.getSimpleClauseType_RationalClause()`

### setRationalClause

    void setRationalClause(RationalClauseType value)

  Sets the value of the '`Rational Clause`' containment reference.

  Parameters:
    `value` - the new value of the 'Rational Clause' containment reference.
  See Also:
    `getRationalClause()`

### getStringClause

    StringClauseType getStringClause()

  Returns the value of the 'String Clause' containment reference.

  If the meaning of the 'String Clause' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'String Clause' containment reference.
  See Also:
    `setStringClause(StringClauseType)`, `QueryPackage.getSimpleClauseType_StringClause()`

### setStringClause

    void setStringClause(StringClauseType value)

  Sets the value of the '`String Clause`' containment reference.

  Parameters:
    `value` - the new value of the 'String Clause' containment reference.
  See Also:
    `getStringClause()`

### getLeftArgument

    java.lang.String getLeftArgument()

  Returns the value of the 'Left Argument' attribute.

  If the meaning of the 'Left Argument' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Left Argument' attribute.
  See Also:
    `setLeftArgument(String)`, `QueryPackage.getSimpleClauseType_LeftArgument()`

### setLeftArgument

    void setLeftArgument(java.lang.String value)

  Sets the value of the '`Left Argument`' attribute.

  Parameters:
    `value` - the new value of the 'Left Argument' attribute.
  See Also:
    `getLeftArgument()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD